# $Revision: 1.15 $, $Date: 2010/07/15 04:39:40 $
Summary:	Dic is a simple, console-based disk catalogizer
Summary(hu.UTF-8):	Dic egy egyszerű, konzolos lemez katalogizáló
Name:		dic
Version:	0.7
Release:	7
License:	GPL v2
Group:		Applications
Source0:	http://downloads.sourceforge.net/dic/%{name}-%{version}.tar.bz2
# Source0-md5:	c604751a05298dad2492189e1f31ec21
Source1:	%{name}-bash-completion
URL:		http://dic.sourceforge.net/
BuildRequires:	python-devel >= 2.7
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.219
Requires:	python-modules
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Dic is a simple, console-based disk catalogizer. It can easily add
disks to the catalog, search in the catalog, search for files,
automatically retrieve found files without requiring you to manually
navigate through the source media, and more.

%description -l hu.UTF-8
Dic egy egyszerű, konzolos lemez katalogizáló. Könnyen adhatsz új
lemezeket a katalógushoz, kereshetsz a katalógusban, fájlok után,
automatikusan átmásolhatod a fájlokat kézi navigálás nélkül, stb.

%package -n mc-plugin-dic
Summary:	Extfs plugin for Midnight Commander
Summary(hu.UTF-8):	Extfs plugin Midnight Commander-hez
Group:		Applications/Shells
Requires:	%{name} = %{version}-%{release}
Requires:	mc
Obsoletes:	dic-dic

%description -n mc-plugin-dic
Extfs plugin for Midnight Commander. In the running Midnight Commander
type "cd #mcdic".

%description -n mc-plugin-dic -l hu.UTF-8
Extfs plugin Midnight Commander-hez. A futó Midnight Commander-ben
gépeld be a "cd #mcdic" sort!

%package -n bash-completion-%{name}
Summary:	bash-completion to dic
Summary(hu.UTF-8):	Bash automatikus kiegészítés dic-hez
Group:		Applications/Shells
Requires:	%{name} = %{version}-%{release}
Requires:	bash-completion

%description -n bash-completion-%{name}
Bash-completion to dic.

%description -n bash-completion-%{name} -l hu.UTF-8
Bash automatikus kiegészítés dic-hez.

%prep
%setup -q

%build
export CFLAGS="%{rpmcflags}"
%{__python} setup.py build

%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install \
	--optimize=2 \
	--root=$RPM_BUILD_ROOT

%py_ocomp $RPM_BUILD_ROOT%{py_sitedir}
%py_comp $RPM_BUILD_ROOT%{py_sitedir}
%py_postclean

install -d $RPM_BUILD_ROOT%{_mandir}/man{1,5}
install man/dic.1 $RPM_BUILD_ROOT%{_mandir}/man1
install man/dic.conf.5 $RPM_BUILD_ROOT%{_mandir}/man5

install -d $RPM_BUILD_ROOT%{_libdir}/mc/extfs.d
install build/scripts-2.7/mcdic $RPM_BUILD_ROOT%{_libdir}/mc/extfs.d

install -d $RPM_BUILD_ROOT/etc/bash_completion.d
install %{SOURCE1} $RPM_BUILD_ROOT/etc/bash_completion.d/dic

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%dir %{_sysconfdir}/dic
%{_mandir}/man1/dic.1.*
%{_mandir}/man5/dic.conf.5.*
%{_sysconfdir}/dic/*
%attr(755,root,root) %{_bindir}/*dic
%{py_sitescriptdir}/*

%files -n mc-plugin-dic
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/mc/extfs.d/mcdic

%files -n bash-completion-%{name}
%defattr(644,root,root,755)
/etc/bash_completion.d/%{name}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: dic.spec,v $
Revision 1.15  2010/07/15 04:39:40  uzsolt
- make compatible with python 2.7
- rel 7

Revision 1.14  2010/07/09 11:14:25  arekm
- release 6

Revision 1.13  2010/07/08 07:43:57  arekm
- release 5

Revision 1.12  2010/04/12 08:49:01  uzsolt
- remove noarch build (mc plugin placed to libdir/mc)
- rel 4

Revision 1.11  2010/04/11 15:40:28  uzsolt
- rename mc subpackage to mc-plugin-dic
- mcextfs plugin placed to libdir/mc/extfs.d
- 'post mc' unneeded
- rel up

Revision 1.10  2010/02/28 14:09:40  uzsolt
- mc subpackage requires dic

Revision 1.9  2009/08/09 15:40:49  glen
- unify bash-completion package name
- strict internal deps

Revision 1.8  2009/08/07 18:42:09  uzsolt
- bash-completion subpackage

Revision 1.7  2009/07/23 10:58:36  uzsolt
- noarch build
- removed mc todo
- rel 2

Revision 1.6  2009/07/23 09:05:16  adamg
- %post fix

Revision 1.5  2009/07/22 10:17:41  uzsolt
- %post mc
- verbose description to mc subpackage

Revision 1.4  2009/07/21 18:26:55  uzsolt
- mc subpackage
- mc-specific todo
- rel 1.5

Revision 1.3  2009/07/15 13:01:02  uzsolt
- rel 1 (works for me)
- bash completion todo

Revision 1.2  2009/06/27 18:20:04  uzsolt
- more verbose description

Revision 1.1  2009/06/27 17:41:55  uzsolt
- initial
